"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
require("../../../../../../node_modules/.pnpm/vue@3.3.4/node_modules/vue/dist/vue.runtime.esm-bundler.js");
const SettingItem = require("../../../../../components/Pages/ChartItemSetting/SettingItem.vue2.js");
const SettingItemBox = require("../../../../../components/Pages/ChartItemSetting/SettingItemBox.vue.js");
const CollapseItem_vue_vue_type_script_setup_true_lang = require("../../../../../components/Pages/ChartItemSetting/CollapseItem.vue.js");
require("../../../../../../node_modules/.pnpm/vue3-lazyload@0.2.5-beta_a6dezdz3je235ci4e3tu4rayna/node_modules/vue3-lazyload/dist/vue3-lazyload.esm.js");
require("../../../../../../node_modules/.pnpm/screenfull@6.0.2/node_modules/screenfull/index.js");
require("../../../../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_root.js");
require("../../../../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_baseGetTag.js");
require("../../../../../../node_modules/.pnpm/html2canvas@1.4.1/node_modules/html2canvas/dist/html2canvas.esm.js");
require("../../../../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_baseClone.js");
require("../../../../../../node_modules/.pnpm/crypto-js@4.1.1/node_modules/crypto-js/index.js");
require("../../../../../enums/pageEnum.js");
require("../../../../../router/index.js");
require("../../../../../store/modules/designStore/designStore.js");
require("../../../../../settings/designSetting.js");
require("../../../../../components/GoLoading/index.js");
require("../../../../../components/GoSkeleton/index.vue.js");
require("../../../../../store/modules/chartEditStore/chartEditStore.js");
require("../../../../../components/Pages/ChartItemSetting/StylesSetting.vue.js");
const config = require("./config.js");
const runtimeCore_esmBundler = require("../../../../../../node_modules/.pnpm/@vue_runtime-core@3.3.4/node_modules/@vue/runtime-core/dist/runtime-core.esm-bundler.js");
const reactivity_esmBundler = require("../../../../../../node_modules/.pnpm/@vue_reactivity@3.3.4/node_modules/@vue/reactivity/dist/reactivity.esm-bundler.js");
const _sfc_main = /* @__PURE__ */ runtimeCore_esmBundler.defineComponent({
  __name: "config",
  props: {
    optionData: {
      type: Object,
      required: true
    }
  },
  setup(__props) {
    const fontWeightOptions = [
      {
        label: config.FontWeightEnum.NORMAL,
        value: config.FontWeightObject[config.FontWeightEnum.NORMAL]
      },
      {
        label: config.FontWeightEnum.BOLD,
        value: config.FontWeightObject[config.FontWeightEnum.BOLD]
      }
    ];
    return (_ctx, _cache) => {
      const _component_n_input_number = runtimeCore_esmBundler.resolveComponent("n-input-number");
      const _component_n_select = runtimeCore_esmBundler.resolveComponent("n-select");
      const _component_n_color_picker = runtimeCore_esmBundler.resolveComponent("n-color-picker");
      const _component_n_switch = runtimeCore_esmBundler.resolveComponent("n-switch");
      const _component_n_text = runtimeCore_esmBundler.resolveComponent("n-text");
      const _component_n_space = runtimeCore_esmBundler.resolveComponent("n-space");
      return runtimeCore_esmBundler.openBlock(), runtimeCore_esmBundler.createBlock(reactivity_esmBundler.unref(CollapseItem_vue_vue_type_script_setup_true_lang.default), {
        name: "内容",
        expanded: true
      }, {
        default: runtimeCore_esmBundler.withCtx(() => [
          runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItemBox.default), { name: "字体" }, {
            default: runtimeCore_esmBundler.withCtx(() => [
              runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), { name: "大小" }, {
                default: runtimeCore_esmBundler.withCtx(() => [
                  runtimeCore_esmBundler.createVNode(_component_n_input_number, {
                    value: __props.optionData.timeSize,
                    "onUpdate:value": _cache[0] || (_cache[0] = ($event) => __props.optionData.timeSize = $event),
                    size: "small",
                    min: 1
                  }, null, 8, ["value"])
                ]),
                _: 1
              }),
              runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), { name: "粗细" }, {
                default: runtimeCore_esmBundler.withCtx(() => [
                  runtimeCore_esmBundler.createVNode(_component_n_select, {
                    value: __props.optionData.fontWeight,
                    "onUpdate:value": _cache[1] || (_cache[1] = ($event) => __props.optionData.fontWeight = $event),
                    size: "small",
                    options: fontWeightOptions
                  }, null, 8, ["value"])
                ]),
                _: 1
              })
            ]),
            _: 1
          }),
          runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItemBox.default), { name: "间距" }, {
            default: runtimeCore_esmBundler.withCtx(() => [
              runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), { name: "字距" }, {
                default: runtimeCore_esmBundler.withCtx(() => [
                  runtimeCore_esmBundler.createVNode(_component_n_input_number, {
                    value: __props.optionData.timeTextIndent,
                    "onUpdate:value": _cache[2] || (_cache[2] = ($event) => __props.optionData.timeTextIndent = $event),
                    size: "small",
                    min: 1
                  }, null, 8, ["value"])
                ]),
                _: 1
              }),
              runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), { name: "行距" }, {
                default: runtimeCore_esmBundler.withCtx(() => [
                  runtimeCore_esmBundler.createVNode(_component_n_input_number, {
                    value: __props.optionData.timeLineHeight,
                    "onUpdate:value": _cache[3] || (_cache[3] = ($event) => __props.optionData.timeLineHeight = $event),
                    size: "small",
                    min: 1
                  }, null, 8, ["value"])
                ]),
                _: 1
              })
            ]),
            _: 1
          }),
          runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItemBox.default), { name: "颜色" }, {
            default: runtimeCore_esmBundler.withCtx(() => [
              runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), { name: "时间" }, {
                default: runtimeCore_esmBundler.withCtx(() => [
                  runtimeCore_esmBundler.createVNode(_component_n_color_picker, {
                    size: "small",
                    modes: ["hex"],
                    value: __props.optionData.timeColor,
                    "onUpdate:value": _cache[4] || (_cache[4] = ($event) => __props.optionData.timeColor = $event)
                  }, null, 8, ["value"])
                ]),
                _: 1
              })
            ]),
            _: 1
          }),
          runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItemBox.default), { name: "阴影" }, {
            default: runtimeCore_esmBundler.withCtx(() => [
              runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), null, {
                default: runtimeCore_esmBundler.withCtx(() => [
                  runtimeCore_esmBundler.createVNode(_component_n_space, null, {
                    default: runtimeCore_esmBundler.withCtx(() => [
                      runtimeCore_esmBundler.createVNode(_component_n_switch, {
                        value: __props.optionData.showShadow,
                        "onUpdate:value": _cache[5] || (_cache[5] = ($event) => __props.optionData.showShadow = $event),
                        size: "small"
                      }, null, 8, ["value"]),
                      runtimeCore_esmBundler.createVNode(_component_n_text, null, {
                        default: runtimeCore_esmBundler.withCtx(() => [
                          runtimeCore_esmBundler.createTextVNode("展示阴影")
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  })
                ]),
                _: 1
              }),
              runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), { name: "x" }, {
                default: runtimeCore_esmBundler.withCtx(() => [
                  runtimeCore_esmBundler.createVNode(_component_n_input_number, {
                    value: __props.optionData.hShadow,
                    "onUpdate:value": _cache[6] || (_cache[6] = ($event) => __props.optionData.hShadow = $event),
                    size: "small"
                  }, null, 8, ["value"])
                ]),
                _: 1
              }),
              runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), { name: "y" }, {
                default: runtimeCore_esmBundler.withCtx(() => [
                  runtimeCore_esmBundler.createVNode(_component_n_input_number, {
                    value: __props.optionData.vShadow,
                    "onUpdate:value": _cache[7] || (_cache[7] = ($event) => __props.optionData.vShadow = $event),
                    size: "small"
                  }, null, 8, ["value"])
                ]),
                _: 1
              }),
              runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), { name: "模糊" }, {
                default: runtimeCore_esmBundler.withCtx(() => [
                  runtimeCore_esmBundler.createVNode(_component_n_input_number, {
                    value: __props.optionData.blurShadow,
                    "onUpdate:value": _cache[8] || (_cache[8] = ($event) => __props.optionData.blurShadow = $event),
                    size: "small"
                  }, null, 8, ["value"])
                ]),
                _: 1
              }),
              runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), { name: "颜色" }, {
                default: runtimeCore_esmBundler.withCtx(() => [
                  runtimeCore_esmBundler.createVNode(_component_n_color_picker, {
                    size: "small",
                    modes: ["hex"],
                    value: __props.optionData.colorShadow,
                    "onUpdate:value": _cache[9] || (_cache[9] = ($event) => __props.optionData.colorShadow = $event)
                  }, null, 8, ["value"])
                ]),
                _: 1
              })
            ]),
            _: 1
          })
        ]),
        _: 1
      });
    };
  }
});
exports.default = _sfc_main;
